<template>
    <div>
        <div class="text-2xl font-semibold mt-10">MSelect</div>
        <div class="q-pa-md">
            <MSelect
            :options="['ReactJS','VueJS','AngularJS','SvelteJS']"
            label="Type"
            v-model="form"
            :main-design="false  ? 'borderless' : 'outlined'"
            :readonly="false"
            :hide-bottom-space="false"
            :hide-drop-down="false"
            validation-rules="required"
            @m-keyup-enter="onFormSubmit"
            orientation="vertical"
            option-label="label"
            option-value="id"
            filter-store-link="companies/index"
            :filter-attributes="['name', 'acronym', 'description']"
            clearable using-input
            />
        </div>
    </div>
</template>

<script>
import MSelect from 'components/forms/MSelect'

export default {
    data() {
        return {
            form: ''
        }
    },
    methods: {
        onFormSubmit() {
            console.log('Submitt')
        }
    },
    components: { MSelect }
}
</script>

<style>

</style>